{pkgs, ...}: {
  # Font Settings
  fonts = {
    packages = with pkgs; [
      roboto
      inter
    ];
    fontconfig = {
      localConf = ''
        <alias>
        	<family>system-ui</family>
        	<prefer>
        		<family>Inter</family>
        		<family>Roboto</family>
        		<family>Cantarell</family>
        		<family>Liberation Sans</family>
        		<family>DejaVu Sans</family>
        	</prefer>
        </alias>
      '';
    };
  };
}
