{
  filetype.extension.mdx = "mdx";

  plugins.treesitter.languageRegister.markdown = ["mdx"];

  # Tree Sitter Grammar
  extraFiles."queries/markdown/injections.scm" = {
    enable = true;
    text = ''
      ; extends
      ((inline) @injection.content
        (#lua-match? @injection.content "^%s*import")
        (#set! injection.language "typescript"))
      ((inline) @injection.content
        (#lua-match? @injection.content "^%s*export")
        (#set! injection.language "typescript"))
    '';
  };
}
